﻿namespace HeuristicLab.Algorithms.PushGP.Expressions {
  public abstract class StatefullExpression<T> : Expression {
    protected T State { get; set; }

    protected StatefullExpression(T state) {
      this.State = state;
    }

    public override string ToString() {
      return this.State.ToString();
    }
  }
}